Loading...
Searching...
No Matches
_PedDisk Struct Reference
PedDisk

Represents a disk label (partition table). More...

`#include <disk.h>`

## Data Fields

const int * | block_sizes
| block sizes supported by this label
PedDevice * | dev
| the device where the partition table lies
void * | disk_specific
int | needs_clobber
| clobber before write?
PedPartition * | part_list
| list of partitions.
const PedDiskType * | type
| type of disk label
int | update_mode
| mode without free/metadata partitions, for easier update

## Detailed Description

Represents a disk label (partition table).

## Field Documentation

## block_sizes

const int * _PedDisk::block_sizes

block sizes supported by this label

## dev

PedDevice * _PedDisk::dev

the device where the partition table lies

## disk_specific

void * _PedDisk::disk_specific

## needs_clobber

int _PedDisk::needs_clobber

clobber before write?

## part_list

PedPartition * _PedDisk::part_list

list of partitions.

Access with ped_disk_next_partition()

## type

const PedDiskType * _PedDisk::type

type of disk label

## update_mode

int _PedDisk::update_mode

mode without free/metadata partitions, for easier update

The documentation for this struct was generated from the following files:

- include/parted/disk.h
- include/parted/disk.in.h